#include "stdafx.h"

#include "Grt.h"
#include "DBObjectEditorBE.h"
#include "grts/structs.workbench.physical.h"

#pragma unmanaged

static inline db_mgmt_RdbmsRef get_rdbms_for_db_object(const ::grt::ValueRef &object)
{
  GrtObjectRef parent= GrtObjectRef::cast_from(object);
  while (!parent.is_instance("db.Catalog"))
    parent= parent->owner();
  return workbench_physical_ModelRef::cast_from(parent->owner())->rdbms();
}

#pragma managed

#include "RoutineGroupEditorBE.h"